AssertionFailed Class Reference

`#include <AssertionFailed.h>`

Inheritance diagram for AssertionFailed:

## Public Member Functions

| AssertionFailed (const char *fn, unsigned int l)
void | printMessage (void) const
Public Member Functions inherited from SteghideError
| SteghideError (void)
| SteghideError (std::string msg)
| SteghideError (const char *msgfmt,...)
Public Member Functions inherited from MessageBase
| MessageBase (void)
| MessageBase (std::string msg)
| MessageBase (const char *msgfmt,...)
virtual | ~MessageBase ()
const std::string & | getMessage (void) const
void | setMessage (std::string msg)
void | setNewline (bool prnl)
const std::string | getNewline (void) const
void | setMessage (const char *msgfmt,...)

## Private Member Functions

char * | stripDir (const char *fn)

## Additional Inherited Members

Protected Member Functions inherited from MessageBase
std::string | compose (const char *msgfmt,...) const
std::string | vcompose (const char *msgfmt, va_list ap) const
Static Protected Attributes inherited from MessageBase
static const unsigned int | MsgMaxSize = 512

## Constructor & Destructor Documentation

## AssertionFailed()

AssertionFailed::AssertionFailed | ( | const char * | fn,
|  | unsigned int | l )

inline

## Member Function Documentation

## printMessage()

void AssertionFailed::printMessage | ( | void |  | ) | const

virtual

Reimplemented from SteghideError.

## stripDir()

char * AssertionFailed::stripDir | ( | const char * | fn | ) |

private

The documentation for this class was generated from the following files:

- AssertionFailed.h
- AssertionFailed.cc